Package org.linphone.core

# Interface ChatRoomParams

public interface ChatRoomParams
Object defining parameters for a `ChatRoom`.
Can be created with `Core.createDefaultChatRoomParams()`. You can use
`isValid()` to check if your configuration is valid or not.
If the `ChatRoom` backend is
invalid @link

    {@link ChatRoom#Backend#Basic

}, then no
other parameter is required, but `ChatMessage` sent and received won't
benefit from all features a
invalid @link

    {@link ChatRoom#Backend#FlexisipChat

} can offer
like conversation with multiple participants and a subject, end-to-end
encryption, ephemeral messages, etc... but this type is the only one that can
interoperate with other SIP clients or with non-flexisip SIP proxies.

## Method Summary

Modifier and Type
Method
Description
`ChatRoom.Backend`
`getBackend()`
Deprecated.
`ChatRoom.EncryptionBackend`
`getEncryptionBackend()`
Deprecated.
`long`
`getEphemeralLifetime()`
Deprecated.
`ChatRoom.EphemeralMode`
`getEphemeralMode()`
Deprecated.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getSubject()`
Deprecated.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`boolean`
`isEncryptionEnabled()`
Deprecated.
`boolean`
`isGroupEnabled()`
Deprecated.
`boolean`
`isRttEnabled()`
Deprecated.
`boolean`
`isValid()`
Deprecated.
`void`
`setBackend(ChatRoom.Backend backend)`
Deprecated.
`void`
`setEncryptionBackend(ChatRoom.EncryptionBackend backend)`
Deprecated.
`void`
`setEncryptionEnabled(boolean encrypted)`
Deprecated.
`void`
`setEphemeralLifetime(long time)`
Deprecated.
`void`
`setEphemeralMode(ChatRoom.EphemeralMode mode)`
Deprecated.
`void`
`setGroupEnabled(boolean group)`
Deprecated.
`void`
`setRttEnabled(boolean rtt)`
Deprecated.
`void`
`setSubject(String subject)`
Deprecated.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getBackend

@Deprecated ChatRoom.Backend getBackend()
Deprecated.
Get the backend implementation of the chat room associated with the given
parameters.

Returns:
  the
  invalid reference

      ChatRoom#Backend

  deprecated: 20/05/2024. Use `ChatParams.getBackend()` instead.

### setBackend

@Deprecated void setBackend(ChatRoom.Backend backend)
Deprecated.
Set the backend implementation of these chat room parameters.

Parameters:
  `backend` - The
  invalid reference

      ChatRoom#Backend

  enum value
  deprecated: 20/05/2024. Use `ChatParams.setBackend(org.linphone.core.ChatRoom.Backend)` instead.

### getEncryptionBackend

@Deprecated ChatRoom.EncryptionBackend getEncryptionBackend()
Deprecated.
Get the encryption implementation of the chat room associated with the given
parameters.

Returns:
  the
  invalid reference

      ChatRoom#EncryptionBackend

  deprecated: 20/05/2024. Use `ChatParams.getEncryptionBackend()` instead.

### setEncryptionBackend

@Deprecated void setEncryptionBackend(ChatRoom.EncryptionBackend backend)
Deprecated.
Set the encryption backend implementation of these chat room parameters.

Parameters:
  `backend` - The
  invalid reference

      ChatRoom#EncryptionBackend

  enum value
  deprecated: 20/05/2024. Use `ChatParams.setEncryptionBackend(org.linphone.core.ChatRoom.EncryptionBackend)` instead.

### isEncryptionEnabled

@Deprecated boolean isEncryptionEnabled()
Deprecated.
Get the encryption status of the chat room associated with the given
parameters.

Returns:
  true if encryption is enabled, false otherwise
  deprecated: 20/05/2024. Use
  invalid reference

      ChatParams#encryptionEnabled

  instead.

### setEncryptionEnabled

@Deprecated void setEncryptionEnabled(boolean encrypted)
Deprecated.
Enables or disables encryption for the chat room associated with the given
parameters.

Parameters:
  `encrypted` - true to enable encryption, false to disable.
  deprecated: 20/05/2024. Use linphone_conference_params_enable_encryption()
  instead.

### getEphemeralLifetime

@Deprecated long getEphemeralLifetime()
Deprecated.
Get lifetime (in seconds) for all new ephemeral messages in the chat room.
After the message is read, it will be deleted after "time" seconds. see:
linphone_chat_room_params_ephemeral_enabled()

Returns:
  the ephemeral lifetime (in seconds)
  deprecated: 20/05/2024. Use `ChatParams.getEphemeralLifetime()` instead.

### setEphemeralLifetime

@Deprecated void setEphemeralLifetime(long time)
Deprecated.
Set lifetime (in seconds) for all new ephemeral messages in the chat room.
After the message is read, it will be deleted after "time" seconds. see:
linphone_chat_room_params_ephemeral_enabled()

Parameters:
  `time` - The ephemeral lifetime, default is disabled (0)
  deprecated: 20/05/2024. Use `ChatParams.activateEphemeral(int)` instead.

### getEphemeralMode

@Deprecated ChatRoom.EphemeralMode getEphemeralMode()
Deprecated.
Get the ephemeral message mode of the chat room associated with the given
parameters.

Returns:
  the ephemeral message mode
  invalid reference

      ChatRoom#EphemeralMode

  deprecated: 20/05/2024. Use `ChatParams.getEphemeralMode()` instead.

### setEphemeralMode

@Deprecated void setEphemeralMode(ChatRoom.EphemeralMode mode)
Deprecated.
Enables or disables forcing of ephemeral messages for the chat room associated
with the given parameters.

Parameters:
  `mode` - Ephemeral message mode
  invalid reference

      ChatRoom#EphemeralMode

  .
  deprecated: 20/05/2024. Use `ChatParams.setEphemeralMode(org.linphone.core.ChatRoom.EphemeralMode)` instead.

### isGroupEnabled

@Deprecated boolean isGroupEnabled()
Deprecated.
Get the group chat status of the chat room associated with the given
parameters.

Returns:
  true if group chat is enabled, false if one-on-one
  deprecated: 20/05/2024. Use
  invalid reference

      ConferenceParams#groupEnabled

  instead.

### setGroupEnabled

@Deprecated void setGroupEnabled(boolean group)
Deprecated.
Enables or disables group chat for the chat room associated with the given
parameters.

Parameters:
  `group` - true to enable group chat, false to disable (resulting in
  one-on-one chat room)
  deprecated: 20/05/2024. Use
  invalid reference

      ConferenceParams#enableGroup

  instead.

### isValid

@Deprecated boolean isValid()
Deprecated.
Returns whether the given parameters are valid or not.

Returns:
  true if the given parameters are valid, false otherwise
  deprecated: 20/05/2024. Use `ConferenceParams.isValid()` instead.

### isRttEnabled

@Deprecated boolean isRttEnabled()
Deprecated.
Get the real time text status of the chat room associated with the given
parameters.

Returns:
  true if real time text is enabled, false otherwise
  deprecated: 20/05/2024. Use
  invalid reference

      ChatParams#rttEnabled

  instead.

### setRttEnabled

@Deprecated void setRttEnabled(boolean rtt)
Deprecated.
Enables or disables real time text for the chat room associated with the given
parameters.

Parameters:
  `rtt` - true to enable real time text, false to disable.
  deprecated: 20/05/2024. Use
  invalid reference

      ChatParams#enableRtt

  instead.

### getSubject

@Deprecated String getSubject()
Deprecated.
Get the subject of the chat room.

Returns:
  The subject.
  deprecated: 20/05/2024. Use `ConferenceParams.getSubject()` instead.

### setSubject

@Deprecated void setSubject(String subject)
Deprecated.
Set the subject of the chat room.

Parameters:
  `subject` - The subject to set.
  deprecated: 20/05/2024. Use `ConferenceParams.setSubject(java.lang.String)` instead.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`